//==============================================================================
//
//  This file was auto-generated by a tool using the PayPal REST API schema.
//  More information: https://developer.paypal.com/docs/api/
//
//==============================================================================
using System.Collections.Generic;
using Newtonsoft.Json;

namespace PayPal.Api
{
    /// <summary>
    /// A REST API payer funding option resource.
    /// <para>
    /// See <a href="https://developer.paypal.com/docs/api/">PayPal Developer documentation</a> for more information.
    /// </para>
    /// </summary>
    public class FundingOption : PayPalRelationalObject
    {
        /// <summary>
        /// id of the funding option.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "id")]
        public string id { get; set; }

        /// <summary>
        /// List of funding sources that contributes to a payment.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "funding_sources")]
        public List<FundingSource> funding_sources { get; set; }

        /// <summary>
        /// Backup funding instrument which will be used for payment if primary fails.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "backup_funding_instrument")]
        public FundingInstrument backup_funding_instrument { get; set; }

        /// <summary>
        /// Currency conversion applicable to this funding option.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "currency_conversion")]
        public CurrencyConversion currency_conversion { get; set; }

        /// <summary>
        /// Installment options available for a funding option.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "installment_info")]
        public InstallmentInfo installment_info { get; set; }
    }
}
